curl 'https://listenlabs.ai/api/public/list_surveys' \
-H 'x-api-key: <api_key>'
[
{
"id": "12345678-0000-0000-0000-000000000000",
"link_id": "study-1",
"title": "Example study",
"created_at": "2023-09-02T07:07:17.960725+00:00",
"desc": "Example study (12 Responses)"
},
{
"id": "23456789-0000-0000-0000-000000000000",
"link_id": "study-2",
"title": "Example study 2",
"created_at": "2023-09-01T07:07:17.960725+00:00",
"desc": "Example study 2 (9 Responses)"
}
]
Endpoints
List Studies
This endpoint lists all studys.
GET
/
api
/
public
/
list_surveys
curl 'https://listenlabs.ai/api/public/list_surveys' \
-H 'x-api-key: <api_key>'
[
{
"id": "12345678-0000-0000-0000-000000000000",
"link_id": "study-1",
"title": "Example study",
"created_at": "2023-09-02T07:07:17.960725+00:00",
"desc": "Example study (12 Responses)"
},
{
"id": "23456789-0000-0000-0000-000000000000",
"link_id": "study-2",
"title": "Example study 2",
"created_at": "2023-09-01T07:07:17.960725+00:00",
"desc": "Example study 2 (9 Responses)"
}
]
Response
Returns a list of studys. Each study is an object with the following fields:uuid
Permanent unique identifier for the study.
string
The link id of the study. This is editable in the study settings so it might
change.
string
The title of the study.
string
UTC timestamp of when the study was created.
string
A description of the study. Eg. “My study (10 Responses)”
curl 'https://listenlabs.ai/api/public/list_surveys' \
-H 'x-api-key: <api_key>'
[
{
"id": "12345678-0000-0000-0000-000000000000",
"link_id": "study-1",
"title": "Example study",
"created_at": "2023-09-02T07:07:17.960725+00:00",
"desc": "Example study (12 Responses)"
},
{
"id": "23456789-0000-0000-0000-000000000000",
"link_id": "study-2",
"title": "Example study 2",
"created_at": "2023-09-01T07:07:17.960725+00:00",
"desc": "Example study 2 (9 Responses)"
}
]

